Get an org's OAuth client configuration for a provider
curl --request GET \
--url https://api.openworklabs.com/v1/oauth-providers/{providerId}/client \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openworklabs.com/v1/oauth-providers/{providerId}/client"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openworklabs.com/v1/oauth-providers/{providerId}/client', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"providerId": "<string>",
"configured": true,
"clientId": "<string>",
"features": [
"<string>"
],
"scopes": [
"<string>"
],
"redirectUri": "<string>",
"tenantId": "<string>"
}{
"error": "unauthorized"
}{
"error": "forbidden",
"reason": "<string>",
"message": "<string>"
}{
"error": "unknown_oauth_provider",
"message": "<string>"
}Authentication
Get an org's OAuth client configuration for a provider
Admin-only. Returns setup status, the saved OAuth client id when configured, selected permission features, the callback redirect URI, and the full scope list members will be asked to approve. Never returns the client secret.
GET
/
v1
/
oauth-providers
/
{providerId}
/
client
Get an org's OAuth client configuration for a provider
Authorizations
bearerAuthdenApiKey
Session token passed as Authorization: Bearer <session-token> for user-authenticated Den routes.
Path Parameters
Required string length:
1 - 255Was this page helpful?